Page MenuHomePhabricator

Bad title error when using the history link for deleted pages in CU results
Closed, ResolvedPublic

Description

I ran a "get edits" check and among the results there were some edits on a page that has since been edited. Before the page title (which is a red link) there is a "(history)" blue link. Clicking on it resulted in a "Bad title" error. The blue link is in the following format: https://fa.wikipedia.org/w/index.php?title=somedeletedpage&curid=123456789&action=history

The cause for error appears to be that a curid is provided while the page is in fact deleted. If I manually remove the curid from the URL, I am taken to the delete page without any errors, and can access its deleted history from there.

I don't use the "(history)" link in CU results too often but I can't recall seeing "curid" in those links before. Is this a new addition?

Conversely, has it always been there but recently MW Core started throughing an error for a history link with a curid but a deleted title?

Event Timeline

Huji created this task.Aug 18 2020, 5:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2020, 5:57 PM
Huji updated the task description. (Show Details)Aug 18 2020, 5:58 PM

Change 622446 had a related patch set uploaded (by Huji; owner: Huji):
[mediawiki/extensions/CheckUser@master] Only pass a curid if the page exists

https://gerrit.wikimedia.org/r/622446

Huji claimed this task.Aug 26 2020, 12:59 AM
Huji triaged this task as Low priority.
Huji added a project: User-Huji.

Change 622446 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Only pass a curid if the page exists

https://gerrit.wikimedia.org/r/622446

Huji closed this task as Resolved.Sep 8 2020, 12:20 PM